Skip to main content
PUT
/
price
/
{id}
Update Price
curl --request PUT \
  --url https://uat-api.clinkbill.com/api/price/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>' \
  --data '
{
  "currency": "USD",
  "unitAmount": 39.99,
  "priceType": "recurring",
  "recurringDetails": {
    "interval": "month",
    "intervalCount": 1,
    "pricingModel": "flat_rate"
  }
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "priceId": "<string>",
    "productId": "<string>",
    "unitAmount": 123,
    "recurring": {
      "trialPeriodDays": 123,
      "transformQuantity": {
        "divideBy": 123
      },
      "intervalCount": 123
    },
    "active": true,
    "createTime": 123
  }
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Path Parameters

id
string
required

Unique identifier of the price

Body

application/json

Parameters that can be updated for a price

productId
string

Unique identifier of the product

currency
enum<string>

Three-letter ISO currency code

Available options:
USD,
EUR,
JPY,
GBP,
AUD,
CAD,
CNY,
HKD,
SGD,
KRW,
AED,
THB,
IDR,
PHP,
MYR,
BRL,
INR
unitAmount
number

Unit amount for one-time or recurring base price

Example:

29.99

priceType
enum<string>

Price type

Available options:
one_time,
recurring
recurringDetails
object

Details of the Subscription

priority
integer<int32>

Regional pricing priority. Lower values have higher priority.

isActive
string

Whether this price is active

isDefaultPrice
boolean

Whether this price should be the product default price

Response

Price updated successfully

Body of the response message

code
integer<int32>

Response status code, 200 when success

msg
string

Brief description of what happened, 'success' when happy case

data
object